/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：数据集
*
* createdate:  2022-10-24 17:01:19  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集查询实体")
public class DataSetsQueryDto implements Serializable
{
    /**
     * 数据集名称<br>
     */
    @ApiModelProperty("数据集名称")
    @Size(max = 32, message="数据集名称-name: 数据长度不能 > 32" )
    private String name;
    /**
     * 目录id<br>
     */
    @ApiModelProperty("目录id")
    @Size(max = 32, message="目录id-treeId: 数据长度不能 > 32" )
    private String treeId;

    @ApiModelProperty("目录id列表")
    private List<String> treeIds;

    @ApiModelProperty("系统id列表")
    private List<String> proIds;

    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getTreeIds() {
        return treeIds;
    }

    public void setTreeIds(List<String> treeIds) {
        this.treeIds = treeIds;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public List<String> getProIds() {
        return proIds;
    }

    public void setProIds(List<String> proIds) {
        this.proIds = proIds;
    }
}